apiVersion: apps/v1
kind: Deployment
metadata:
    name: pihole
    namespace: pihole
spec:
    selector:
        matchLabels:
            run: ENC[AES256_GCM,data:1z8r3P2e,iv:aZz759jj3znXr4XC83DxWME2oc8KhLR6lx2YWYoE3mc=,tag:G7mvnDVMId9KMU3T1jk/ug==,type:str]
    replicas: ENC[AES256_GCM,data:6Q==,iv:Q2W3ssvmRtYbYKHRf3PTqQVzfVqteJdrQ5ayOZvd+fI=,tag:bBHY96N5egH/q9W3CRdzmQ==,type:int]
    template:
        metadata:
            labels:
                run: pihole
        spec:
            containers:
                - name: ENC[AES256_GCM,data:15bIJWK2,iv:AK8dP6KFOBPzm4i0w+XRZ0DNEepN2tIt6hEUBiEgAfY=,tag:XSAhgW/IQu5FD2hpxhnM0Q==,type:str]
                  #ENC[AES256_GCM,data:SR3rGgVHwGa9AbdIlfffCv3Kj4RMzR1FqBgY6URkpIJEzGeEjP4zBWOv30Q=,iv:CczKDRBZekPlrauHgWfpNhhoFb+8Pad4t8tqQvJJpHM=,tag:F+AyZ77puhZIFulB7Ww9ng==,type:comment]
                  image: ENC[AES256_GCM,data:E3ZF1raqOME3jw4qzGXF8X4mtg4=,iv:P4DTwHfcAWm62wpHpQ5cYnN0KF2XqRrFLcLTb5Tsjo8=,tag:DrFx8Ft1eMSA9c3aYg//vg==,type:str]
                  imagePullPolicy: ENC[AES256_GCM,data:291zlR9A/+ujab+8,iv:h0JHV6cuKZ7nt5eRO1P2wBp+QOb6Tqwua/WlM8rakoI=,tag:CBgg0hCwGnu4pT90UreiYw==,type:str]
                  env:
                    - name: ENC[AES256_GCM,data:1d0=,iv:SwQaDbgPtvQ+CO7rlFOsWY9T8TRC58gsEQ+LkhwPz6E=,tag:S/9vUm95gUpvyBliUL3cxw==,type:str]
                      value: ENC[AES256_GCM,data:PD43ekNhJQqd+TvL6A==,iv:tcQDG15Xy/oRrpLmSJy/67DCaRk68UtnT5mDe9Qmcfw=,tag:Fdh4kobN8fMulckERdFE8A==,type:str]
                  envFrom:
                    - secretRef:
                        name: ENC[AES256_GCM,data:AkbVkB8MuZ+yLwoGrYiRudQ=,iv:1CaKRM0yLHUzrgxKhjhLvSzqRnKkZJ3XMLXO/nCFLEE=,tag:9Qisiz/90Pn+AYr3+UAIJg==,type:str]
                  securityContext:
                    privileged: ENC[AES256_GCM,data:MXMdwg==,iv:IyZrfsbJb1BgT79mEyiiESMW0ZdlgqSlvRBT87U2LZA=,tag:udYv1/kBldPRYlUr6zwrjw==,type:bool]
                  ports:
                    - containerPort: ENC[AES256_GCM,data:bcg=,iv:H/hTkaCGmAG37ZXHVczxZCTpToD+UcnRwpExyrgStio=,tag:g3BpMmTahhRxRxNKJPBulA==,type:int]
                      protocol: ENC[AES256_GCM,data:Ojf9,iv:MiTLU28YH7InTwifq3jptn0UHOVKSbhC+OXURJ/sX7s=,tag:6dGOvSTaMPD5usq4oHeq2g==,type:str]
                    - containerPort: ENC[AES256_GCM,data:uZU=,iv:1RKvDxP2MQlAxOieSFEwVIY0keMl+f+5RiXrJ8QEeM4=,tag:KKrdrsFNZJfbMnsep6669w==,type:int]
                      protocol: ENC[AES256_GCM,data:l6pq,iv:Vawy27l/tlLVoTqzAxKLVWs5tPQOW+43MGtvVgurEBc=,tag:lXw5+UB07/novTuPSrVY/A==,type:str]
                    - containerPort: ENC[AES256_GCM,data:n2M=,iv:+bf6VIgZuA47Y7x22bLMh2Hj/7jNK1x6kYp5lHPI1H0=,tag:2mbDKpPSmL3c2t2z3lUAZg==,type:int]
                      protocol: ENC[AES256_GCM,data:4Wz8,iv:Mx6nddFMKyvGDM3aerntDNV2+webbEW0AMkdTb+DROk=,tag:JzPmgGz0a4wsKzUrJLSTQQ==,type:str]
                    - containerPort: ENC[AES256_GCM,data:5jA=,iv:RxdVYgE3oznD5pme5cxdFYYYw3YTXg/reWDrBEvHsuI=,tag:en01NuXoERMRuUJFKRc4CQ==,type:int]
                      protocol: ENC[AES256_GCM,data:wLoL,iv:KDiQqWbEbwHC3OL3C6aoe+MnFmbl88C4ZMN1xen32oM=,tag:q5Ucs8tjcNIIwRveIhPvOA==,type:str]
                    - containerPort: ENC[AES256_GCM,data:d5J6,iv:FQbCtizjeMyw92wgD9NhWoF7WeT5H5AHNJuuV2wNgXM=,tag:Jq6VfIO++nDYzvuSMFO1KA==,type:int]
                      protocol: ENC[AES256_GCM,data:48zq,iv:tF2M0Llv/RyiWTe3jOqKEV+6v5cTjUYB5wF5kL0ImkA=,tag:BK1BHvTpPraPjOd8k5cOLw==,type:str]
                  volumeMounts:
                    - name: ENC[AES256_GCM,data:Pbghq6nWzObr6d0=,iv:TWWlX/0t0/sEBiNpFR1tQO8KgvNVCoyEK4iLtDeq6tw=,tag:1BUSN77h055nBwGpBhatqg==,type:str]
                      mountPath: ENC[AES256_GCM,data:FfwAYSJmQfAiCIE=,iv:JfzJaSkBI9Cl+6dvrizFugEFUEXqaDf5JH3Jxal899w=,tag:TeOOA+oEvkqaB8lTv3AbQg==,type:str]
                      subPath: ENC[AES256_GCM,data:StugpJGv,iv:RLtb9nIsF+U4vMyLqxDlwUDi/Gc2G2e12NfKo6vy1rY=,tag:AZLfWwFsuuDEXTr9tIx1vA==,type:str]
                    - name: ENC[AES256_GCM,data:78JOeiDt0w6dKdA=,iv:1ZLLyCpLiBmbMs++GhP1YbGQTHhx8QKSB2USZU68euU=,tag:tXjTFOPwnwKV96wc8ClHHA==,type:str]
                      mountPath: ENC[AES256_GCM,data:ST5jIR30TEj+0kYo32E=,iv:HX1m+BZAlaQLIIiegKkR6MvA/oFWJmVmEBRK8vhi7is=,tag:NRXO6Xg6FXv0l+dMDJTyIQ==,type:str]
                      subPath: ENC[AES256_GCM,data:gOSJ6mw35XZl,iv:uj5+Hpd4hJ2jTN5+Md6e45vmiCFMjLbafEO0oGBYjD4=,tag:5SosUpIvbJKjR2Zy6z/q4w==,type:str]
                  resources:
                    requests:
                        memory: ENC[AES256_GCM,data:BiQTDm0=,iv:pD+iNN+0UdG6Xxc5sDJ8me9mVE1KsJ2JPF42Ir7mWis=,tag:pDk0Fkz+ctRj6WVhNEJbKQ==,type:str]
                        cpu: ENC[AES256_GCM,data:Dqcr3g==,iv:0L/4JZR4+j1+WCz8rpCNzRM45w+ol5ft7oPXGJyMpjI=,tag:NiBzaZrrruWpXHD3mQqlvw==,type:str]
                    limits:
                        memory: ENC[AES256_GCM,data:dfNL,iv:LBMmkUiEMapLA95heTUFoBlhvk8+yLHiroKJbvKbKmo=,tag:Bx+XExbvWPtCD9h+AE4WmA==,type:str]
                        cpu: ENC[AES256_GCM,data:Lg==,iv:oRbaKibX4tchYdPOXgt4jZAoTVp1DVs1VxAllOLPUw8=,tag:/xdzGleKbbS3acKd3ywe9g==,type:int]
            volumes:
                - ENC[AES256_GCM,data:28qTduxCRvUyBHAGosL6uDLMMJ/55lr0gSJExSe4Hy2xyZRSOw==,iv:5+hFjMcji3olnkCGa0gubMxUMu7xXA6bWQVf0CuJnJA=,tag:thjYTGL3CjzNeoX4rtqMzw==,type:comment]
                - name: ENC[AES256_GCM,data:rHRaZR8tObyg86g=,iv:zyuegugG826NRWg6LigHCDuv57rFF7njE/7UjmAjLtQ=,tag:zZfE19j9zMeOEEoeq+vJ5Q==,type:str]
                  persistentVolumeClaim:
                    claimName: ENC[AES256_GCM,data:/e0Ymbjqb4Yxfg==,iv:jWj+7+CtWHO8ciZFg1PBtbJHnHi0Q7JPVIFZtMmxIRA=,tag:El+xa3n28y/JMgSoWOC1vA==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBqeFR6YlBLeVF5VjhPbFJI
            T2Q5WGFYdzdWSVJiM3FIUkxNUDJVbThrUkJBCmpnRUE4bC84bG5iV0N2RnorL0xn
            NjVvb2tjYXZTWmRNWDlKU1k2azBxL1kKLS0tIG8wbi9CODZGeEtPOE92VFI5ZXBU
            V3FmZ2RoQWhuUTAvTUxPcGY1bkt4aXcKGtME6hl/lO8M9XwV7ixluWPxowmsXkVa
            XE3FMdwpUJ61QhW3MRk8QTsnxg/f4zTkF6UDgr09ydhotg+ysbjCrw==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:11Z"
    mac: ENC[AES256_GCM,data:Kroeo8aL0yIlDPOl1NFX7TVsO0w2UCVBFseTe2DtNYmrf/F1Gemtnq//otv+HrptnYtCz0o/n0Blmn0Y918k+rWRy1vbdLrRqOwOKfWaZ24HNPV8cZ8q+SzkzB0cIzdE/A5Dmt+wXIQpXasZI/7PlCZHuoxuSiJJ0aB+fZQWKF4=,iv:Q1nD3lPAtM1XCxObAx4rHEbcE0+e8ZHsIe7IlnrdgYI=,tag:5aN6UmWCGCnOMkHtcdNAJA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
